Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ConfigurationCategoryDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.CategoryDefinition
                  oracle.ifs.beans.ConfigurationCategoryDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ConfigurationCategoryDefinition

extends CategoryDefinition

A ConfigurationCategoryDefinition is used to create or modify a ConfigurationCategory instance.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`ConfigurationCategoryDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`ConfigurationCategoryDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`ConfigurationCategory` | `getParentConfigurationOption()` Gets the option indicating the parent ConfigurationCategory when it is necessary to specify one explicitly.
`java.lang.Boolean` | `isEnabled()` Gets whether the configuration is set explicitly to be enabled or disabled.
`void` | `setEnabled(boolean enabled)` Sets whether or not the options defined by this ConfigurationCategory are enabled.
`void` | `setFinal(boolean isFinal)` Sets whether or not sub-objects may override this ConfigurationCategory.
`void` | `setParentConfigurationOption(ConfigurationCategory value)` Sets the option indicating the parent ConfigurationCategory when it is necessary to specify one explicitly.
`static ConfigurationCategoryDefinition` | `toConfigurationCategoryDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a ConfigurationCategoryDefinition.
`static ConfigurationCategoryDefinition` | `toConfigurationCategoryDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a ConfigurationCategoryDefinition.

Methods inherited from class oracle.ifs.beans.CategoryDefinition
`getUpdateAssociatedObjectOption, setUpdateAssociatedObjectOption, toCategoryDefinition, toCategoryDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationCategoryDefinition

    public ConfigurationCategoryDefinition(LibrarySessionInterface session)
                                    throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be ConfigurationCategory.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ConfigurationCategoryDefinition

    public ConfigurationCategoryDefinition(LibrarySessionInterface session,
                                           java.lang.String className)
                                    throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)
                    throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Sets whether or not the options defined by this ConfigurationCategory are enabled.

  Parameters:
    `enabled` - whether or not the options are enabled.
  Throws:
    `IfsException` - if the operation fails.

### setFinal

    public void setFinal(boolean isFinal)
                  throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Sets whether or not sub-objects may override this ConfigurationCategory.

  Parameters:
    `isFinal` - whether or not this ConfigurationCategory is final.
  Throws:
    `IfsException` - if the operation fails.

### setParentConfigurationOption

    public void setParentConfigurationOption(ConfigurationCategory value)
                                      throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Sets the option indicating the parent ConfigurationCategory when it is necessary to specify one explicitly.

  If a null value is specified, the option is removed from the specified definition.

  Parameters:
    `value` - the value of the option
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getParentConfigurationOption

    public ConfigurationCategory getParentConfigurationOption()
                                                       throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Gets the option indicating the parent ConfigurationCategory when it is necessary to specify one explicitly.

  Returns a null value if the option was not specified.

  Returns:
    the value of the option
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isEnabled

    public java.lang.Boolean isEnabled()
                                throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Gets whether the configuration is set explicitly to be enabled or disabled.

  Returns null if no indication has been made.

  Returns:
    the enabled setting
  Throws:
    `IfsException` - if the operation fails

### toConfigurationCategoryDefinition

    public static ConfigurationCategoryDefinition toConfigurationCategoryDefinition(LibraryObjectDefinition lodef)
                                                                             throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Cast specified LibraryObjectDefinition to a ConfigurationCategoryDefinition.

  Return null if the specified definition is not a ConfigurationCategoryDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a ConfigurationCategoryDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toConfigurationCategoryDefinition

    public static ConfigurationCategoryDefinition toConfigurationCategoryDefinition(LibraryObjectDefinition lodef,
                                                                                    boolean enforceCompat)
                                                                             throws IfsException

  Description copied from class: `ConfigurationCategoryDefinition`
  Cast specified LibraryObjectDefinition to a ConfigurationCategoryDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a ConfigurationCategoryDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a ConfigurationCategoryDefinition casted from the specified definition
  Throws:
    `IfsException` - 10822: if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD